/versions
A list of available title versions
GET /titles/versions
GET /titles/versionsVersion latest can be used as an alias to the latest title version. See our Titles Taxonomy Changelog for version updates.
Code Examples
curl --request GET \
--url https://api.lightcast.io/titles/versions \
--header 'accept: application/json' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": [
"4.30",
"4.29",
"4.28",
"4.27",
"4.26",
"4.25",
"4.24",
"4.23",
"4.22",
"4.21",
"4.20",
"4.19",
"4.18",
"4.17",
"4.16",
"4.15",
"4.14",
"4.13",
"4.12",
"4.11",
"4.10",
"4.9",
"4.8",
"4.7",
"4.6",
"4.5",
"4.4",
"4.3",
"4.2",
"4.1"
]
}/versions/{version_type}
Version specific metadata
GET /versions/latest
GET /versions/latestGet version specific metadata including available fields, data versions, title counts and removed title counts.
URL Parameters
| Name | Description |
|---|---|
| versionstring | The title version.Example: latest |
Code Examples
curl --request GET \
--url https://api.lightcast.io/titles/versions/latest \
--header 'accept: application/json' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"version": "4.30",
"fields": [
"id",
"name",
"pluralName",
"isSupervisor",
"levelBand",
"mapping"
],
"mappingVersions": {
"soc": [
"soc_emsi_2019"
],
"skill": [
"7.34"
]
},
"titleCount": 72859,
"removedTitleCount": 3438
}
}{
"errors": [
{
"title": "URL not found",
"status": 404,
"detail": "Unrecognized version: invaildVersion"
}
]
}
